Skip to content

Create collection

POST
/collections

Creates a new collection using the supplied attributes.

Authorizations

bearerToken|siteContext
bearerToken

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

TypeHTTP (bearer)
+
siteContext

Identifier of the site context when authenticating with a personal access token.

TypeAPI Key (header: X-Nimbu-Site)
or
siteToken

Site-scoped API token that already encodes the site context.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"name": "string",
"slug": "string",
"description": "string",
"status": "string",
"type": "string",
"seo_title": "string",
"seo_description": "string",
"seo_keywords": "string",
"virtual_members": [
"string"
],
"criteria": [
{
}
]
}

Responses

collection created

application/json
JSON
{
"id": "string",
"url": "string",
"product_count": 0,
"status": "string",
"type": "string",
"featured_image": {
},
"created_at": "string",
"updated_at": "string",
"images": [
],
"name": "string",
"slug": "string",
"fullpath": "string",
"description": "string",
"seo_title": "string",
"seo_description": "string",
"seo_keywords": "string"
}

Playground

Authorization
Body

Samples

Part of Nimbu, built by Zenjoy.